FreeMat

- Main Page
- Related Pages

vtkGPUInfoList

Section: Visualization Toolkit Rendering Classes

# Usage

vtkGPUInfoList stores a list of vtkGPUInfo. An host can have several GPUs. It creates and sets the list by probing the host with system calls. This an abstract class. Concrete classes are OS specific.

To create an instance of class vtkGPUInfoList, simply invoke its constructor as follows

      obj = vtkGPUInfoList

# Methods

The class vtkGPUInfoList has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGPUInfoList class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGPUInfoList = obj.NewInstance ()`
- `vtkGPUInfoList = obj.SafeDownCast (vtkObject o)`
- `obj.Probe ()` - Build the list of vtkInfoGPU if not done yet. Default implementation created an empty list. Useful if there is no implementation available for a given architecture yet.
  Postcondition:
    probed: IsProbed()
- `bool = obj.IsProbed ()` - Tells if the operating system has been probed. Initial value is false.
- `int = obj.GetNumberOfGPUs ()` - Return the number of GPUs.
  Precondition:
    probed: IsProbed()
- `vtkGPUInfo = obj.GetGPUInfo (int i)` - Return information about GPU i.
  Precondition:
    probed: IsProbed()
    valid_index: i>=0 && i<GetNumberOfGPUs()
  Postcondition:
    result_exists: result!=0